# BAD means that the gif file is just a copy  of a toolbar's icon and it must be resized/changed later.

# RwiElement's resources

#resource.element.<shapeType>.icon.<iconType> = StringQuery
#resource.element.<shapeType>.name = StringQuery
#resource.element.<diagramShapeType>.diagramName = StringQuery
#resource.element.<shapeType>.description = StringQuery
#resource.element.<shapeType>.helpURL = StringQuery

# Default icon
resource.element.*.icon.small = "empty.gif"

#==========
# Diagrams
#==========
resource.element.ClassDiagram.name = "Class Diagram"
resource.element.ClassDiagram.diagramName = "Class"
resource.element.ClassDiagram.icon.small = if(hasProperty("$physicalPackage"), "Treeviews/tv-physical-package.gif", "Treeviews/tv-class-diagram.gif")
resource.element.ClassDiagram.icon.large = "DiagramTypes/ClassDiagram.gif"
resource.element.ComponentDiagram.name = "Component Diagram"
resource.element.ComponentDiagram.diagramName = "Component"
resource.element.ComponentDiagram.icon.small = "Treeviews/tv-component-diagram.gif"
resource.element.ComponentDiagram.icon.large = "DiagramTypes/ComponentDiagram.gif"
# Seq and Coll diagrams have the same shapetype - "SequenceDiagram"
# if it has $viewType property then it's Coll diagram.
resource.element.SequenceDiagram.name = if( !hasProperty("$viewType"),"Sequence Diagram", "Collaboration Diagram")
resource.element.SequenceDiagram.diagramName = if( !hasProperty("$viewType"),"Sequence", "Collaboration")
resource.element.SequenceDiagram.icon.small = if( !hasProperty("$viewType"),"Treeviews/tv-seq-diagram.gif","Treeviews/tv-collab-diagram.gif")
resource.element.SequenceDiagram.icon.large = if( !hasProperty("$viewType"),"DiagramTypes/SequenceDiagram.gif","DiagramTypes/CollaborationDiagram.gif")
resource.element.StateDiagram.name = "Statechart Diagram"
resource.element.StateDiagram.diagramName = "Statechart"
resource.element.StateDiagram.icon.small = "Treeviews/tv-state-diagram.gif"
resource.element.StateDiagram.icon.large = "DiagramTypes/StateDiagram.gif"
resource.element.UseCaseDiagram.name = "Use Case Diagram"
resource.element.UseCaseDiagram.diagramName = "Use Case"
resource.element.UseCaseDiagram.icon.small = "Treeviews/tv-usecase-diagram.gif"
resource.element.UseCaseDiagram.icon.large = "DiagramTypes/UseCaseDiagram.gif"
resource.element.ActivityDiagram.name = "Activity Diagram"
resource.element.ActivityDiagram.diagramName = "Activity"
resource.element.ActivityDiagram.icon.small = "Treeviews/tv-activity-diagram.gif"
resource.element.ActivityDiagram.icon.large = "DiagramTypes/ActivityDiagram.gif"
resource.element.DeploymentDiagram.name = "Deployment Diagram"
resource.element.DeploymentDiagram.diagramName = "Deployment"
resource.element.DeploymentDiagram.icon.small = "Treeviews/tv-deployment-diagram.gif"
resource.element.DeploymentDiagram.icon.large = "DiagramTypes/DeploymentDiagram.gif"
resource.element.BusinessProcessDiagram.name = "Business Process Diagram"
resource.element.BusinessProcessDiagram.diagramName = "Business Process"
resource.element.BusinessProcessDiagram.icon.small = "Treeviews/tv-business-process-diagram.gif"
resource.element.BusinessProcessDiagram.icon.large = "DiagramTypes/BusinessProcessDiagram.gif"

# For Class diagram:
resource.element.Class.name = if( !hasProperty("$interface"),"Class","Interface")
resource.element.Class.icon.small = if( !hasProperty("$interface"),"Treeviews/tv-class.gif","Treeviews/tv-interface.gif")
resource.element.Attribute.name = "Attribute"
resource.element.Attribute.icon.small = "Treeviews/tv-attrib.gif"
resource.element.Operation.name = "Operation"
#resource.element.Operation.icon.small = "Treeviews/tv-operation.gif"
resource.element.Operation.icon.small = if( hasProperty("$protected"), "Treeviews/tv-operation-protected.gif",
\                                       if( hasProperty("$packageLocal"), "Treeviews/tv-operation-package-local.gif",
\                                       if( hasProperty("$private"), "Treeviews/tv-operation-private.gif",
\                                       "Treeviews/tv-operation.gif" )))
resource.element.Package.name = "Package"
resource.element.Package.icon.small = "Treeviews/tv-pkg-diagram.gif"
resource.element.Object.name = "Object"
resource.element.Object.icon.small = "Treeviews/tv-object.gif"
resource.element.BeanProperty.name = "Bean Property"
resource.element.BeanProperty.icon.small = "Treeviews/tv-bean-property.gif"
resource.element.BeanProperty.name = "Bean Property"
resource.element.BeanEventSet.icon.small = "Treeviews/tv-bean-event-set.gif"

# For Activity diagram:
resource.element.Activity.name = "Activity"
resource.element.Activity.icon.small = "Treeviews/tv-activity.gif"
resource.element.Decision.name = "Decision"
resource.element.Decision.icon.small = "Treeviews/tv-decision.gif"
resource.element.SignalReceipt.name = "Signal Receipt"
resource.element.SignalReceipt.icon.small = "Treeviews/tv-signalReceipt.gif"
resource.element.SignalSending.name = "Signal Sending"
resource.element.SignalSending.icon.small = "Treeviews/tv-signalSending.gif"
resource.element.SwimLane.name = "Swimlane"
resource.element.SwimLane.icon.small = "Treeviews/tv-swimLane.gif"

# For Activity and State diagram:
resource.element.State.icon.small = "Treeviews/tv-state.gif"
resource.element.StartState.name = "Start State"
resource.element.StartState.icon.small = "Treeviews/tv-startState.gif"
resource.element.EndState.name = "End State"
resource.element.EndState.icon.small = "Treeviews/tv-endState.gif"
resource.element.SyncBar.name = "Sync Bar"
resource.element.SyncBar.icon.small = if( hasProperty("vertical"),"Treeviews/tv-syncBar.gif","Treeviews/tv-syncBar_h.gif")
resource.element.DeferredEvent.name = "Deferred Event"
resource.element.DeferredEvent.icon.small = "Treeviews/tv-deferred-event.gif"
# For State diagram:
resource.element.History.name = "History"
resource.element.History.icon.small = "Treeviews/tv-history.gif"
resource.element.InternalTransition.name = "Internal Transition"
resource.element.InternalTransition.icon.small = "Treeviews/tv-internalTransition.gif"

# For Component and Deployment diagram:
resource.element.Component.name = "Component"
resource.element.Component.icon.small = "Treeviews/BAD-tv-component.gif"
resource.element.Interface.name = "Interface"
resource.element.Interface.icon.small = "Treeviews/tv-interface.gif"

# For Component
resource.element.Subsystem.name = "Subsystem"
resource.element.Subsystem.icon.small = "Treeviews/tv-subsystem.gif"

# For Deployment diagram:
resource.element.Node.name = "Node"
resource.element.Node.icon.small = "Treeviews/tv-node.gif"

# For Sequence, Collaboration, Use Case and Business Process diagram:
resource.element.Actor.name = "Actor"
resource.element.Actor.icon.small = "Treeviews/tv-actor.gif"
resource.element.Activation.name = "Activation"
resource.element.Activation.icon.small = "Treeviews/tv-activation.gif"

#Use Case diagram
resource.element.SystemBoundary.name = "System Boundary"
resource.element.SystemBoundary.icon.small = "Treeviews/tv-system-boundary.gif"
resource.element.ExtensionPoint.name = "Extension Point"
resource.element.ExtensionPoint.icon.small = "Treeviews/tv-extension-pt.gif"

# For Sequence, Collaboration, Use Case and Business Process diagram:
resource.element.UseCase.name = "Use Case"
resource.element.UseCase.icon.small = "Treeviews/BAD-tv-useCase.gif"

# For Business Process diagram:
resource.element.BusinessEntity.name = "BusinessEntity"
resource.element.BusinessEntity.icon.small = "Treeviews/tv-businessEntity.gif"
resource.element.BusinessWorker.name = "BusinessWorker"
resource.element.BusinessWorker.icon.small = "Treeviews/BAD-tv-businessWorker.gif"


resource.element.Note.name = "Note"
resource.element.Note.icon.small = "Treeviews/tv-note.gif"

#Links
resource.element.AggregatesLink.name = "Aggregation"
resource.element.AssociatesLink.name = "Association"
resource.element.AssociationLink.name = "Association"
resource.element.CollaborationLink.name = "Collaboration"
resource.element.CommunicatesLink.name = "Communicates association"
resource.element.DependencyLink.name = "Dependency"
resource.element.ExtendsLink.name = "Extend relationship"
resource.element.GeneralizationLink.name = "Generalization"
resource.element.IncludesLink.name = "Include relationship"
resource.element.MessageLink.name = "Message #" + getProperty("sequenceNumber") + ":" +
\ if(hasProperty("operation"),findElement(getProperty("operation"))->getProperty("$name")+"()",getProperty("label")) +
\ " from '" + getSource()->getProperty("$name") +
\ if(getSource()->hasProperty("$instantiatedClass"), ":"+findElement(getSource()->getProperty("$instantiatedClass"))->getProperty("$name"), "") +
\ "' to '" + getDestination()->getProperty("$name") +
\ if(getDestination()->hasProperty("$instantiatedClass"), ":"+findElement(getDestination()->getProperty("$instantiatedClass"))->getProperty("$name"), "") +
\ "'"
resource.element.NoteLink.name = "Note"
resource.element.ObjectFlowLink.name = "Object Flow"
resource.element.SubscribesLink.name = "Subscribe association"
resource.element.SupportsLink.name = "Support"
resource.element.TransitionLink.name = "Transition"


# file's resources

#resource.file.<file category>.extension[.<number>] = StringQuery, wildcards allowed
#resource.file.<file category>.icon.<iconType> = StringQuery
#resource.file.<file category>.name = StringQuery
#resource.file.<file category>.description = StringQuery
#resource.file.<file category>.helpURL = StringQuery
#resource.file.<file category>.type = StringQuery, one of constants from IdeFileType
#resource.file.<file category>.language = StringQuery, one of supported programming language ids

# Default icon
resource.file.*.icon.small = "Treeviews/tv-dir-generic-file.gif"

resource.file.java_class.extension = "class"
resource.file.java_class.name = ["filetype/java.class"]
resource.file.java_class.type = "binary"
resource.file.java_class.language = "java"

resource.file.java_source.extension = "java"
resource.file.java_source.name = ["filetype/java.source"]
resource.file.java_source.type = "source"
resource.file.java_source.language = "java"
resource.file.java_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

# -- C++ --
resource.file.cpp_source.extension.1 = "cpp"
resource.file.cpp_source.extension.2 = "cc"
resource.file.cpp_source.extension.3 = "cxx"
resource.file.cpp_source.extension.4 = "c"
resource.file.cpp_source.extension.5 = "CPP"
resource.file.cpp_source.extension.6 = "CC"
resource.file.cpp_source.extension.7 = "CXX"
resource.file.cpp_source.extension.8 = "C"
resource.file.cpp_source.name = ["filetype/cpp.source"]
resource.file.cpp_source.type = "source"
resource.file.cpp_source.language = "cpp"

resource.file.cpp_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.cpp_header.extension.1 = "hpp"
resource.file.cpp_header.extension.2 = "h"
resource.file.cpp_header.extension.3 = "HPP"
resource.file.cpp_header.extension.4 = "H"
resource.file.cpp_header.name = ["filetype/cpp.header"]
resource.file.cpp_header.type = "source"
resource.file.cpp_header.language = "cpp"

resource.file.cpp_header.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.idl_source.extension.1 = "idl"
resource.file.idl_source.extension.2 = "IDL"
resource.file.idl_source.name = ["filetype/idl.source"]
resource.file.idl_source.type = "source"
resource.file.idl_source.language = %IDL_VARIANT%
resource.file.idl_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

# -- Delphi --
resource.file.delphi_source.extension.1 = "pas"
resource.file.delphi_source.extension.2 = "PAS"
resource.file.delphi_source.name = ["filetype/delphi.source"]
resource.file.delphi_source.type = "source"
resource.file.delphi_source.language = "delphi"
resource.file.delphi_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

# -- Old Together diagram --
resource.file.diagram_old.extension.1 = "vf*"
resource.file.diagram_old.name = ["filetype/diagram"]
resource.file.diagram_old.type = "diagram"
resource.file.diagram_old.icon.small = "Treeviews/tv-dir-generic-file.gif"


# -- Together diagram --
resource.file.diagram.extension.1 = "df*"
resource.file.diagram.name = ["filetype/diagram"]
resource.file.diagram.type = "diagram"
resource.file.diagram.language = "design"
resource.file.diagram.icon.small = "Treeviews/tv-dir-diagram.gif"


# -- Together diagram package -- 
# Category is only for file type icon association, don't use it for other purposes
resource.file.diagram_package.extension.1 = "dfPackage"
resource.file.diagram_package.name = ["filetype/diagram"]
resource.file.diagram_package.type = "diagram"
resource.file.diagram_package.icon.small = "Treeviews/tv-dir-package.gif"


# -- Together project --
resource.file.project.extension = "tpr"
resource.file.project.name = ["filetype/project"]
resource.file.project.type = "project"

resource.file.project.icon.small = "Treeviews/tv-ProjectFile.gif"

# -- config file --
resource.file.config.extension = "config"
resource.file.config.name = ["filetype/config"]
resource.file.config.type = "text"
resource.file.config.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.text_file.extension.1 = "txt"
resource.file.text_file.extension.2 = "TXT"
resource.file.text_file.extension.3 = "bat"
resource.file.text_file.extension.4 = "BAT"
resource.file.text_file.extension.5 = "cmd"
resource.file.text_file.extension.6 = "sh"
resource.file.text_file.extension.7 = "inc"
resource.file.text_file.extension.8 = "log"
;resource.file.text_file.extension.9 = "htm"
;resource.file.text_file.extension.10 = "html"
resource.file.text_file.extension.11 = "properties"
resource.file.text_file.extension.12 = "mf"
resource.file.text_file.name = ["filetype/text"]
resource.file.text_file.type = "text"
resource.file.text_file.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.member.extension = "member"
resource.file.member.name = "Member template file"
resource.file.member.type = "text"
resource.file.member.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.link.extension = "link"
resource.file.link.name = "Link template file"
resource.file.link.type = "text"
resource.file.link.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.python_script_source.extension = "py"
resource.file.python_script_source.name = ["filetype/python"]
resource.file.python_script_source.type = "text"
resource.file.python_script_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.tcl_script_source.extension = "tcl"
resource.file.tcl_script_source.name = ["filetype/tcl"]
resource.file.tcl_script_source.type = "text"
resource.file.tcl_script_source.icon.small = "Treeviews/tv-dir-sourcefile.gif"

resource.file.xml_file.extension = "xml"
resource.file.xml_file.name = ["filetype/xml"]
resource.file.xml_file.type = "text"
resource.file.xml_file.icon.small = "Treeviews/tv-dir-sourcefile.gif"

;resource.file.html_file.extension.1 = "html"
;resource.file.html_file.extension.2 = "htm"
;resource.file.html_file.name = ["filetype/html"]
;resource.file.html_file.type = "text"
;resource.file.html_file.icon.small = "Treeviews/tv-dir-sourcefile.gif"
